## org.codehaus.groovy.grails.commons
Interface GrailsServiceClass

All Superinterfaces:
  GrailsClass, InjectableGrailsClass

All Known Implementing Classes:
  DefaultGrailsServiceClass

    public interface GrailsServiceClass

extends InjectableGrailsClass

Since:
  Aug 7, 2005
Author:
  Steven Devijver

Method Summary
`boolean` `isTransactional()` Service should be configured with transaction demarcation.

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Method Detail

### isTransactional

    boolean isTransactional()

  Service should be configured with transaction demarcation.

  Returns:
    configure with transaction demarcation

Copyright (c) 2005-2009 The Grails project